ANSYS LS-DYNA 
=============

[ANSYS
LS-DYNA](http://www.ansys.com/Products/Simulation+Technology/Structural+Mechanics/Explicit+Dynamics/ANSYS+LS-DYNA)
software provides convenient and easy-to-use access to the
technology-rich, time-tested explicit solver without the need to contend
with the complex input requirements of this sophisticated program.
Introduced in 1996, ANSYS LS-DYNA capabilities have helped customers in
numerous industries to resolve highly intricate design
issues. >ANSYS Mechanical users have been able take advantage of
complex explicit solutions for a long time utilizing the traditional
ANSYS Parametric Design Language (APDL) environment. >These
explicit capabilities are available to ANSYS Workbench users as well.
The Workbench platform is a powerful, comprehensive, easy-to-use
environment for engineering simulation. CAD import from all sources,
geometry cleanup, automatic meshing, solution, parametric optimization,
result visualization and comprehensive report generation are all
available within a single fully interactive modern  graphical user
environment.

To run ANSYS LS-DYNA in batch mode you can utilize/modify the
default ansysdyna.pbs script and execute it via the qsub command.

    #!/bin/bash
    #PBS -l nodes=2:ppn=24
    #PBS -q qprod
    #PBS -N DYNA-Project
    #PBS -A OPEN-0-0

    #! Mail to user when job terminate or abort
    #PBS -m ae

    #!change the working directory (default is home directory)
    #cd <working directory>
    WORK_DIR="/scratch/work/user/$USER"
    cd $WORK_DIR

    echo Running on host `hostname`
    echo Time is `date`
    echo Directory is `pwd`
    echo This jobs runs on the following processors:
    echo `cat $PBS_NODEFILE`

    module load ANSYS

    #### Set number of processors per node
    procs_per_host=24
    #### Create host list
    hl=""
    for host in `cat $PBS_NODEFILE`
    do
     if [ "$hl" = "" ]
     then hl="$host:$procs_per_host"
     else hl="${hl}:$host:$procs_per_host"
     fi
    done

    echo Machines: $hl

    # prevent ANSYS from attempting to use scif0 interface
    export MPI_IC_ORDER="UDAPL"

    lsdyna161 -dis -usessh -machines "$hl" i=input.k

Header of the pbs file (above) is common and description can be
find > on [this
site](../../resource-allocation-and-job-execution/job-submission-and-execution.html).
[SVS FEM](http://www.svsfem.cz) recommends to utilize
sources by keywords: nodes, ppn. These keywords allows to address
directly the number of nodes (computers) and cores (ppn) which will be
utilized in the job. Also the rest of code assumes such structure of
allocated resources.

Working directory has to be created before sending pbs job into the
queue. Input file should be in working directory or full path to input
file has to be specified. Input file has to be defined by common LS-DYNA
.**k** file which is attached to the ansys solver via parameter i=

Without setting environment variable MPI_IC_ORDER="UDAPL", ANSYS will
fail to run on nodes with Xeon Phi accelerator (it will use the virtual
interface of Phi cards instead of the real InfiniBand interface and MPI
will fail.

